# `certbot_dns_route53.dns_route53`

Certbot Route53 authenticator plugin.

class `certbot_dns_route53.dns_route53.``Authenticator`(*args, **kwargs)

  Bases: `certbot.plugins.dns_common.DNSAuthenticator`

  Route53 Authenticator

  This authenticator solves a DNS01 challenge by uploading the answer to AWS Route53.

  `_setup_credentials`()

    Establish credentials, prompting if necessary.

  `_perform`(domain, validation_name, validation)

    Performs a dns-01 challenge by creating a DNS TXT record.

    Parameters:

    - domain (str) – The domain being validated.
    - validation_domain_name (str) – The validation record domain name.
    - validation (str) – The validation record content.

    Raises: | errors.PluginError – If the challenge cannot be performed

  `_cleanup`(domain, validation_name, validation)

    Deletes the DNS TXT record which would have been created by `_perform_achall`.

    Fails gracefully if no such record exists.

    Parameters:

    - domain (str) – The domain being validated.
    - validation_domain_name (str) – The validation record domain name.
    - validation (str) – The validation record content.

  `_find_zone_id_for_domain`(domain)

    Find the zone id responsible a given FQDN.

    That is, the id for the zone whose name is the longest parent of the domain.

  `_wait_for_change`(change_id)

    Wait for a change to be propagated to all Route53 DNS servers. https://docs.aws.amazon.com/Route53/latest/APIReference/API_GetChange.html